classification
Title: proposed patch for tls wrapped ssl support added to smtplib
Type: enhancement Stage: resolved
Components: Extension Modules Versions: Python 3.1, Python 2.7
process
Status: closed Resolution: out of date
Dependencies: 1024 Superseder:
Assigned To: Nosy List: ajaksu2, janssen, pgreenwell
Priority: normal Keywords: patch

Created on 2005-06-08 21:16 by pgreenwell, last changed 2009-04-25 21:52 by ajaksu2. This issue is now closed.

Files
File name Uploaded Description Edit
smtplib_sslwrapper_patch.doff pgreenwell, 2005-06-08 21:16 patch for adding full ssl (smtps) to tls connections
Messages (3)
msg48452 - (view) Author: Pete G (pgreenwell) Date: 2005-06-08 21:16

The current smtplib.py can only do TLS over a standard
port but it does not have support for an ssl wrapped
session which is usually offered on port 465.

I just added a few lines to allow a true ssl socket to
be created instead of a standard one. I also added a
one line function to set this option on.

We have many customers that use clients that can only
do this type of TLS connection.  Postfix and Sendmail
and most others allow for this too, and I wanted to be
able to write up some nagios monitoring scripts using
python.  This allowed me to do it. 
msg55299 - (view) Author: Bill Janssen (janssen) * (Python committer) Date: 2007-08-26 03:02
This probably needs to be re-written with the new SSL support in 2.6.  
See issue 1024.
msg86559 - (view) Author: Daniel Diniz (ajaksu2) (Python triager) Date: 2009-04-25 21:52
Added to trunk around rev58097.
History
Date User Action Args
2009-04-25 21:52:52ajaksu2setstatus: open -> closed

nosy: + ajaksu2
messages: + msg86559

resolution: out of date
stage: test needed -> resolved
2009-04-07 04:04:20ajaksu2setdependencies: + documentation for new SSL module
type: enhancement
stage: test needed
versions: + Python 3.1, Python 2.7, - Python 2.4
2007-08-26 03:02:57janssensetnosy: + janssen
messages: + msg55299
2005-06-08 21:16:14pgreenwellcreate